package com.zd.laboratory.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zd.laboratory.mapper.LabValueSegmentSiteMapper;
import com.zd.laboratory.domain.LabValueSegmentSite;
import com.zd.laboratory.service.ILabValueSegmentSiteService;

/**
 * 违规-分值段设置Service业务层处理
 * 
 * @author zd
 * @date 2021-12-13
 */
@Service
public class LabValueSegmentSiteServiceImpl implements ILabValueSegmentSiteService 
{
    @Autowired
    private LabValueSegmentSiteMapper labValueSegmentSiteMapper;

    /**
     * 查询违规-分值段设置
     * 
     * @param id 违规-分值段设置主键
     * @return 违规-分值段设置
     */
    @Override
    public LabValueSegmentSite selectLabValueSegmentSiteById(Long id)
    {
        return labValueSegmentSiteMapper.selectLabValueSegmentSiteById(id);
    }

    /**
     * 查询违规-分值段设置列表
     * 
     * @param labValueSegmentSite 违规-分值段设置
     * @return 违规-分值段设置
     */
    @Override
    public List<LabValueSegmentSite> selectLabValueSegmentSiteList(LabValueSegmentSite labValueSegmentSite)
    {
        return labValueSegmentSiteMapper.selectLabValueSegmentSiteList(labValueSegmentSite);
    }

    /**
     * 新增违规-分值段设置
     * 
     * @param labValueSegmentSite 违规-分值段设置
     * @return 结果
     */
    @Override
    public int insertLabValueSegmentSite(LabValueSegmentSite labValueSegmentSite)
    {
        return labValueSegmentSiteMapper.insertLabValueSegmentSite(labValueSegmentSite);
    }

    /**
     * 修改违规-分值段设置
     * 
     * @param labValueSegmentSite 违规-分值段设置
     * @return 结果
     */
    @Override
    public int updateLabValueSegmentSite(LabValueSegmentSite labValueSegmentSite)
    {
        return labValueSegmentSiteMapper.updateLabValueSegmentSite(labValueSegmentSite);
    }

    /**
     * 批量删除违规-分值段设置
     * 
     * @param ids 需要删除的违规-分值段设置主键
     * @return 结果
     */
    @Override
    public int deleteLabValueSegmentSiteByIds(Long[] ids)
    {
        return labValueSegmentSiteMapper.deleteLabValueSegmentSiteByIds(ids);
    }

    /**
     * 删除违规-分值段设置信息
     * 
     * @param id 违规-分值段设置主键
     * @return 结果
     */
    @Override
    public int deleteLabValueSegmentSiteById(Long id)
    {
        return labValueSegmentSiteMapper.deleteLabValueSegmentSiteById(id);
    }
}
